Ruby: ruby_cmdline_options Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Fields
ruby_cmdline_options Struct Reference

## Data Fields
const char * | script
VALUE | script_name
VALUE | e_script
struct { |
struct { |
VALUE name |
int index |
} enc
} | src
struct { |
struct { |
VALUE name |
int index |
} enc
} | ext
struct { |
struct { |
VALUE name |
int index |
} enc
} | intern
VALUE | req_list
ruby_features_t | features
ruby_features_t | warn
unsigned int | dump
long | backtrace_length_limit
const char * | crash_report
signed int | sflag: 2
unsigned int | xflag: 1
unsigned int | warning: 1
unsigned int | verbose: 1
unsigned int | do_loop: 1
unsigned int | do_print: 1
unsigned int | do_line: 1
unsigned int | do_split: 1
unsigned int | do_search: 1
unsigned int | setids: 2

## Detailed Description

Definition at line 11 of file cmdlineopt.h.

## Field Documentation

## ◆ backtrace_length_limit

long ruby_cmdline_options::backtrace_length_limit

Definition at line 25 of file cmdlineopt.h.

## ◆ crash_report

const char* ruby_cmdline_options::crash_report

Definition at line 27 of file cmdlineopt.h.

## ◆ do_line

unsigned int ruby_cmdline_options::do_line

Definition at line 35 of file cmdlineopt.h.

## ◆ do_loop

unsigned int ruby_cmdline_options::do_loop

Definition at line 33 of file cmdlineopt.h.

## ◆ do_print

unsigned int ruby_cmdline_options::do_print

Definition at line 34 of file cmdlineopt.h.

## ◆ do_search

unsigned int ruby_cmdline_options::do_search

Definition at line 37 of file cmdlineopt.h.

## ◆ do_split

unsigned int ruby_cmdline_options::do_split

Definition at line 36 of file cmdlineopt.h.

## ◆ dump

unsigned int ruby_cmdline_options::dump

Definition at line 24 of file cmdlineopt.h.

## ◆ e_script

VALUE ruby_cmdline_options::e_script

Definition at line 14 of file cmdlineopt.h.

## ◆ features

ruby_features_t ruby_cmdline_options::features

Definition at line 22 of file cmdlineopt.h.

## ◆ index

int ruby_cmdline_options::index

Definition at line 18 of file cmdlineopt.h.

## ◆ name

VALUE ruby_cmdline_options::name

Definition at line 17 of file cmdlineopt.h.

## ◆ req_list

VALUE ruby_cmdline_options::req_list

Definition at line 21 of file cmdlineopt.h.

## ◆ script

const char* ruby_cmdline_options::script

Definition at line 12 of file cmdlineopt.h.

## ◆ script_name

VALUE ruby_cmdline_options::script_name

Definition at line 13 of file cmdlineopt.h.

## ◆ setids

unsigned int ruby_cmdline_options::setids

Definition at line 38 of file cmdlineopt.h.

## ◆ sflag

signed int ruby_cmdline_options::sflag

Definition at line 29 of file cmdlineopt.h.

## ◆ verbose

unsigned int ruby_cmdline_options::verbose

Definition at line 32 of file cmdlineopt.h.

## ◆ warn

ruby_features_t ruby_cmdline_options::warn

Definition at line 23 of file cmdlineopt.h.

## ◆ warning

unsigned int ruby_cmdline_options::warning

Definition at line 31 of file cmdlineopt.h.

## ◆ xflag

unsigned int ruby_cmdline_options::xflag

Definition at line 30 of file cmdlineopt.h.

The documentation for this struct was generated from the following file:

- internal/cmdlineopt.h